package com.tuoheng.common.core.exception;

import com.tuoheng.common.core.utils.JsonResult;

/**
 * 业务异常类(业务处理时手动抛出异常)
 *
 * @author zhu_zishuang
 * @date 2021-03-12
 */
public class ServiceException extends RuntimeException {

    /**
     * 异常码
     */
    public int code;

    /**
     * 异常描述，兼容JsonResult
     */
    private String msg;


    /**
     * 构造器
     *
     * @param exceptionInfo
     */
    public ServiceException(ExceptionInterface exceptionInfo) {
        super(exceptionInfo.getMsg());
        this.msg = exceptionInfo.getMsg();
        this.code = exceptionInfo.getCode();
    }

    /**
     * 构造器
     *
     * @param code
     * @param msg
     */
    public ServiceException(int code, String msg) {
        super(msg);
        this.msg = msg;
        this.code = code;
    }

    /**
     * 构造器
     *
     * @param msg
     */
    public ServiceException(String msg) {
        super(msg);
        this.msg = msg;
        this.code = JsonResult.ERROR;
    }

}

