package com.tuoheng.admin.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 巡检任务问题分布
 *
 * @team tuoheng
 * @author wanjing
 * @date 2022-12-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class InspectionFileDistribution extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 纬度(原始图片纬度)
     */
    private String latitude;

    /**
     * 经度(原始图片经度)
     */
    private String longitude;

    /**
     * 位置信息
     */
    private String location;

    /**
     * 高德地图经度
     */
    private String gaodeLongitude;

    /**
     * 高德地图纬度
     */
    private String gaodeLatitude;

    /**
     * 高德地图地址
     */
    private String gaodeAddress;

    /**
     * 问题类型二级分类ID
     */
    private String questionCode;

    /**
     * 问题名称
     */
    private String questionName;

    /**
     * 状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

    /**
     * 任务编号
     */
    private String inspectionCode;

    /**
     * 任务名称
     */
    private String inspectionName;

}
