package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.Report;
import com.tuoheng.admin.request.report.QueryReportPageListRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 巡检报告Mapper接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-09
 */
public interface ReportMapper extends BaseMapper<Report> {

    /**
     * 查询巡检任务分页列表
     *
     * @param request 巡检任务查询实体
     * @return 巡检任务集合
     */
    Page<Report> selectPageList(@Param("page") IPage page, @Param("request") QueryReportPageListRequest request);

}
