package com.tuoheng.admin.request.third;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * 问题
 *
 * @author chenyukun
 * @since 2022-06-14
 */
@Data
@Accessors(chain = true)
public class QuestionFile {

    /**
     * 文件编号
     */
    @NotBlank
    @Pattern(regexp = "^[A-Z0-9]{0,20}$")
    private String fileCode;

    /**
     * 文件名称
     */
    @NotBlank
    @Pattern(regexp = "^[\\u4E00-\\u9FA5A-Za-z0-9_.\\-:/]{0,250}$")
    private String fileName;

    /**
     * 原文件地址
     */
    @NotBlank
    @Pattern(regexp = "^[\\u4E00-\\u9FA5A-Za-z0-9_.\\-:/]{0,250}$")
    private String fileOriginalUrl;

    /**
     * 标记文件地址
     */
    @NotBlank
    @Pattern(regexp = "^[\\u4E00-\\u9FA5A-Za-z0-9_.\\-:/]{0,250}$")
    private String fileMarkerUrl;

    /**
     * 分析时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date analyseTime;

    /**
     * 问题名称
     */
    @NotBlank
    @Length(max = 255)
    private String questionName;

    /**
     * 问题编码
     */
    @NotBlank
    @Length(max = 255)
    private String questionCode;
}
