package com.tuoheng.admin.request.workorder;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 查询工单分页列表请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-07
 */
@Data
public class QueryWorkOrderPageListRequest extends BaseQuery {

    /**
     * 问题工单号
     */
    private String code;

    /**
     * 工单状态：5待分配 10处理中（已分配） 15已完成
     */
    private Integer status;

    /**
     * 工单生成开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    /**
     * 工单生成结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 用户所在部门ID
     */
    private String userDeptId;

    /**
     * 检索条件中选择的部门ID
     */
    private String deptId;

    /**
     * 部门idList
     */
    private List<String> deptIdList;

}
