package com.tuoheng.admin.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 *  机场线路视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-23
 */
@Data
@NoArgsConstructor
public class AirLineVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 任务id
     */
    private Integer id;

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 无人机id
     */
    private Integer droneId;


    /**
     * 无人机名称
     */
    private String droneName;

    /**
     * 无人机直播播流地址
     */
    private String liveUrl;

    /**
     * 航线id
     */
    private Integer airlineFileId;

    /**
     * 航线名称
     */
    private String airlineFileName;

    /**
     * 航线文件地址路径
     */
    private String airlineFileUrl;

    /**
     * 执行类型，1单次2每天
     */
    private Integer type;

    /**
     * 单次执行时间
     */
    private String singleTime;

    /**
     * 每天执行时间
     */
    private Object everydayTime;

    /**
     * 任务备注
     */
    private Object note;

    /**
     * 任务状态1待执行 2执行中
     */
    private Integer status;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 修改用户
     */
    private Integer updateUser;

    /**
     * 修改时间
     */
    private String updateTime;
}
