package com.tuoheng.miniprogram.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 巡检问题处理结果表实体类
 *
 * @Author ChengWang
 * @Date 2022/11/22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_inspection_file_handle")
public class InspectionFileHandle extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 巡检问题文件ID
     */
    private String inspectionFileId;

    /**
     * 处理人
     */
    private String handlerUser;

    /**
     * 处理后图片(多个图片逗号“,”分隔)
     */
    private String handlerImage;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date  handlerTime;



}
