package com.tuoheng.miniprogram.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2022/11/24
 */
@Data
public class InspectionFileInfoVo {

    /**
     * 主键id
     */
    private String id;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 问题类型
     */
    private String questionName;

    /**
     * 问题类型名称
     */
    private String content;

    /**
     * 位置(公路代号)
     */
    private String code;

    /**
     * 任务时间(巡检执行时间)
     */
    @DateTimeFormat(pattern = "yyyy/MM/dd HH:mm")
    @JsonFormat(pattern = "yyyy/MM/dd HH:mm", timezone = "GMT+8")
    private Date executionStartTime;

    /**
     * 状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 原图
     */
    private String fileOriginal;

    /**
     * 标记图
     */
    private String fileImage;

    /**
     * 问题code
     */
    private String questionCode;

}
